%bcond_with bootstrap

%global pkg_version     11b

Name:           java_cup
Version:        0.11b
Release:        %mkrel 25
Epoch:          1
Group:          Development/Java
Summary:        LALR parser generator for Java
License:        MIT
URL:            https://www2.cs.tum.edu/projects/cup/
BuildArch:      noarch

# svn export -r 65 https://www2.in.tum.de/repos/cup/develop/ java_cup-0.11b
# tar cjf java_cup-0.11b.tar.bz2 java_cup-0.11b/
Source0:        java_cup-%{version}.tar.bz2
# Add OSGi manifests
Source2:        %{name}-MANIFEST.MF
Source4:        %{name}-runtime-MANIFEST.MF

Patch0:         %{name}-build.patch
Patch1:         0002-Set-Java-source-target-to-1.8.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  javapackages-local
BuildRequires:  ant
BuildRequires:  jflex
BuildRequires:  java_cup
%endif

# Explicit javapackages-tools requires since scripts use
# /usr/share/java-utils/java-functions
Requires:       javapackages-tools


%description
java_cup is a LALR Parser Generator for Java

%package javadoc
Summary:       Javadoc for java_cup

%description javadoc
Javadoc for java_cup

%package manual
Summary:        Documentation for java_cup

%description manual
Documentation for java_cup.

%prep
%setup -q
%patch -P0 -b .build
%patch -P1 -p1

# remove all binary files
find -name "*.class" -delete

%mvn_file ':{*}' @1

# remove prebuilt JFlex
rm -rf java_cup-%{version}/bin/JFlex.jar

# remove prebuilt java_cup, if not bootstrapping
rm -rf java_cup-%{version}/bin/java-cup-11.jar

%build
export CLASSPATH=$(build-classpath java_cup java_cup-runtime jflex)

%ant -Dcupversion=20150326 -Dsvnversion=65
find -name parser.cup -delete
%ant javadoc

# inject OSGi manifests
jar ufm dist/java-cup-%{pkg_version}.jar %{SOURCE2}
jar ufm dist/java-cup-%{pkg_version}-runtime.jar %{SOURCE4}

%install
%mvn_artifact %{name}:%{name}:%{version} dist/java-cup-%{pkg_version}.jar
%mvn_artifact %{name}:%{name}-runtime:%{version} dist/java-cup-%{pkg_version}-runtime.jar

%mvn_install -J dist/javadoc

# wrapper script for direct execution
%jpackage_script java_cup.Main "" "" java_cup cup true

%files -f .mfiles
%{_bindir}/cup
%doc changelog.txt
%license licence.txt

%files manual
%doc manual.html
%license licence.txt

%files javadoc -f .mfiles-javadoc
%license licence.txt




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1:0.11b-25.mga10
+ Revision: 2222678
- Mageia 10 Mass Rebuild

* Thu May 16 2024 ns80 <ns80> 1:0.11b-24.mga10
+ Revision: 2064378
- rebuild for java 21

* Mon Jul 25 2022 neoclust <neoclust> 1:0.11b-23.mga9
+ Revision: 1871037
- Disable bootstrap

* Sat Jul 23 2022 neoclust <neoclust> 1:0.11b-22.mga9
+ Revision: 1870540
- Adapt BR to new javapackages-bootstrap
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Sep 10 2020 daviddavid <daviddavid> 1:0.11b-10.mga8
+ Revision: 1624253
- Use source/target of 1.6 to build against Java 11
- Rebuilt for JDK-11

* Wed Feb 12 2020 umeabot <umeabot> 1:0.11b-9.mga8
+ Revision: 1501780
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1:0.11b-8.mga7
+ Revision: 1278899
- Mageia 7 Mass Rebuild

* Fri Sep 29 2017 daviddavid <daviddavid> 1:0.11b-7.mga7
+ Revision: 1161675
- Install with XMvn
- Elimitate race condition when injecting JAR manifest
- Resolves: rhbz#1495233

* Wed Mar 02 2016 neoclust <neoclust> 1:0.11b-4.mga6
+ Revision: 982405
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1:0.11b-3.mga6
+ Revision: 976418
- First rebuild of the java stack
- sync package java_cup with fedora

* Thu Feb 18 2016 umeabot <umeabot> 1:0.11a-19.mga6
+ Revision: 965487
- Mageia 6 Mass Rebuild

* Wed Jan 14 2015 pterjan <pterjan> 1:0.11a-18.mga5
+ Revision: 810600
- Fix URL
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 1:0.11a-17.mga5
+ Revision: 745978
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.11a-16.mga5
+ Revision: 680647
- Mageia 5 Mass Rebuild

* Sun Dec 29 2013 dmorgan <dmorgan> 1:0.11a-15.mga4
+ Revision: 562967
- Remove old rpm macros

* Fri Oct 18 2013 umeabot <umeabot> 1:0.11a-14.mga4
+ Revision: 506205
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:0.11a-13.mga3
+ Revision: 354816
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 03 2011 gil <gil> 1:0.11a-12.mga2
+ Revision: 162446
- used ju fedora new macro

* Thu Apr 28 2011 dmorgan <dmorgan> 1:0.11a-10.mga1
+ Revision: 92532
- Rebuild after bootstrapping
- More obsoletes

* Wed Apr 27 2011 dmorgan <dmorgan> 1:0.11a-8.mga1
+ Revision: 92144
- Obsoletes old package

* Wed Apr 27 2011 dmorgan <dmorgan> 1:0.11a-7.mga1
+ Revision: 92132
- Rebuild after bootstrapping
- imported package java_cup


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.11a-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec 04 2010 Lubomir Rintel <lkundrak@v3.sk> 1:0.11a-5
- Require appropriate packages for depmap maintenance in scriptlets
- Remove classpath from jar manifest

* Mon Feb 15 2010 Alexander Kurtakov <akurtako@redhat.com> 1:0.11a-4
- Add maven pom and depmap.

* Wed Jan 20 2010 Alexander Kurtakov <akurtako@redhat.com> 1:0.11a-3
- Fix bootstrap.

* Sun Jan 17 2010 Miloš Jakubíček <xjakub@fi.muni.cz> - 1:0.11a-2
- Rebuilt in non-bootstrap mode (removed all prebuilt jars).
- Added BR: jflex and java_cup >= 1:0.11a for non-bootstrap mode
- Remove unnecessary R(post,postun): coreutils

* Fri Jan 8 2010 Alexander Kurtakov <akurtako@redhat.com> 1:0.11a-1
- Update to 0.11a.
- Drop gcj_support.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.10k-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.10k-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jul 15 2008 Lubomir Rintel <lkundrak@v3.sk> - 1:0.10k-1
- Fix the version to match upstream, so that FEver can be used

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1:0.10-0.k.6.3
- drop repotag

* Sun Feb 17 2008 Lubomir Kundrak <lkundrak@redhat.com> - 1:0.10-0.k.6jpp.2
- Ant task
- Clean up to satisfy QA script and rpmlint

* Fri Aug 04 2006 Vivek Lakshmanan <vivekl@redhat.com> - 1:0.10-0.k.6jpp.1
- Re-sync with latest version from JPP.
- Partially adopt new naming convention.

* Sat Jul 22 2006 Jakub Jelinek <jakub@redhat.com> - 1:0.10-0.k.5jpp_2fc
- Rebuilt

* Thu Jul 20 2006 Vivek Lakshmanan <vivekl@redhat.com> - 1:0.10-0.k.5jpp_1fc
- Re-sync with latest version from JPP.

* Wed Jul 19 2006 Vivek Lakshmanan <vivekl@redhat.com> - 1:0.10-0.k.4jpp_1fc
- Conditional native compilation for GCJ.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1:0.10-0.k.1jpp_10fc
- rebuild

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 1:0.10-0.k.1jpp_9fc
- stop scriptlet spew

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:0.10-0.k.1jpp_8fc
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:0.10-0.k.1jpp_7fc
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan  3 2006 Jesse Keating <jkeating@redhat.com> 1:0.10-0.k.1jpp_6fc
- rebuilt again

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Jul 19 2005 Gary Benson <gbenson@redhat.com> 1:0.10-0.k.1jpp_5fc
- Build on ia64, ppc64, s390 and s390x.
- Switch to aot-compile-rpm.

* Tue Jun 28 2005 Gary Benson <gbenson@redhat.com> 1:0.10-0.k.1jpp_4fc
- BC-compile.

* Tue Jun 21 2005 Gary Benson <gbenson@redhat.com> 1:0.10-0.k.1jpp_3fc
- Remove classes from the tarball.

* Thu Nov  4 2004 Gary Benson <gbenson@redhat.com> 1:0.10-0.k.1jpp_2fc
- Build into Fedora.

* Thu Mar  4 2004 Frank Ch. Eigler <fche@redhat.com> 1:0.10-0.k.1jpp_1rh
- RH vacuuming

* Thu Jan 22 2004 David Walluck <david@anti-microsoft.org> 1:0.10-0.k.1jpp
- fix version/release (bump epoch)
- change License tag from Free to BSD-style
- add Distribution tag
- really update for JPackage 1.5

* Wed Mar 26 2003 Paul Nasrat <pauln@truemesh.com> 0.10k-1jpp
- for jpackage-utils 1.5
- New spec reverse engineered from binary rpms
